Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IPolycurveGeo

    java.lang.Object
      igeo.IPolycurveGeo

All Implemented Interfaces:
  ICurveI, ICurveOp, IParameter, ITransformable, IVal

    public abstract class IPolycurveGeo

extends java.lang.Object
implements ICurveI

Class of a curve which consists of multiple curves. Because implementation is not completed yet, it's abstract class. To be completed later.

Author:
  Satoru Sugihara

Field Summary
`java.util.ArrayList<ICurveI>` | `curves`
`java.util.ArrayList<IDoubleI>` | `knots`

Constructor Summary
`IPolycurveGeo()`
`IPolycurveGeo(java.util.ArrayList<ICurveI> crvs)`
`IPolycurveGeo(ICurveI[] crvs)`
`IPolycurveGeo(IPolycurveGeo crv)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.ICurveI
`add, add, add, add, add, center, closePt, closePt, cp, cp, cp, cp, cp, cp, cpNum, cpNum, cpNum, cps, deg, deg, deg, dist, dist, div, div, dup, end, endCP, ep, ep, epNum, epNum, epNum, flip, flipU, get, isClosed, isClosed, isClosed, isRational, isRational, isRational, isValid, knot, knot, knotNum, knotNum, knotNum, knots, knots, knots, len, len, len, mid, mirror, mirror, mul, mul, mv, mv, mv, neg, num, num, num, pt, pt, ref, ref, rev, revU, rot, rot, rot, rot, rot, rot, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, start, startCP, sub, sub, sub, tan, tan, transform, transform, transform, transform, translate, translate, translate, u, u, u, u, u, u, u, u, uend, uend, uend, ustart, ustart, ustart`

Methods inherited from interface igeo.ITransformable
`add, add, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2`

Field Detail

### curves

    public java.util.ArrayList<ICurveI> curves

### knots

    public java.util.ArrayList<IDoubleI> knots

Constructor Detail

### IPolycurveGeo

    public IPolycurveGeo()

### IPolycurveGeo

    public IPolycurveGeo(ICurveI[] crvs)

### IPolycurveGeo

    public IPolycurveGeo(java.util.ArrayList<ICurveI> crvs)

### IPolycurveGeo

    public IPolycurveGeo(IPolycurveGeo crv)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD